// $Id: game.js,v 1.4 2006/04/19 16:19:36 morbus Exp $ */

var tooltip_default = 'tooltip';
var tooltip_current = tooltip_default;

function new_element(new_id) { 
  if (document.createElement) { 
    var element = document.createElement('div'); 
    element.id = new_id;
    with (element.style) { 
      display  = 'none';
      position = 'absolute';
    }
    element.innerHTML = '&nbsp;'; 
    document.body.appendChild(element); 
  }
}

// hover tooltips helper.
function get_mouse_position(e) {
  if (typeof e == 'undefined') { e=event; } if (document.getElementById) {
    var body = document.body.clientHeight > document.documentElement.clientHeight ?
      document.body : document.documentElement ? document.documentElement : document.body;
    var pagex  = window.pageXOffset > body.scrollLeft ? window.pageXOffset : body.scrollLeft;
    var pagey  = window.pageYOffset > body.scrollTop ? window.pageXOffset : body.scrollTop;
    var ex     = typeof e.x != 'undefined' ? e.x : 0;
    var ey     = typeof e.y != 'undefined' ? e.y : 0;
    var mousex = e.clientX > ex ? e.clientX : ex;
    var mousey = e.clientY > ey ? e.clientY : ey;
    var offsetx = 12; var offsety = 8;
    var xpos = (mousex + pagex + offsetx);
    if ((xpos + 360) > body.clientWidth + pagex) {
      xpos = body.clientWidth + pagex - 370; }
    var tooltip = document.getElementById(tooltip_current);
    tooltip.style.left = xpos + 'px';
    tooltip.style.top  = (mousey + pagey + offsety) + 'px';
  }
}

// show hover tooltip.
function tooltip_on(tip, custom_id) {
  if (custom_id) { tooltip_current = custom_id } // tooltip_default otherwise.
  if (!document.getElementById(tooltip_current)) { new_element(tooltip_current); }
  var tooltip = document.getElementById(tooltip_current);
  tooltip.innerHTML     = tip;
  tooltip.style.display = 'block';
  document.onmousemove  = get_mouse_position;
}

// hide hover tooltip.
function tooltip_off() {
  document.getElementById(tooltip_current).style.display = 'none';
  tooltip_current = tooltip_default;
}
