<?php

function grey_info() {
  $object = new StdClass();

  $object->name      = t('Grey');
  $object->author    = 'J Alfred';
  $object->email     = 'jalfred@quickworld.co.uk';
  $object->url       = 'http://www.gamegrene.com/forum/53';
  $object->modified  = '2006-03-11';
  $object->version   = 0.2;

  $object->description_tiny  = t('Short, slender humanoids with hairless grey skin.');
  $object->description_short = t('Greys are short, slender humanoids with hairless grey skin. Their large heads have enormous black almond-shaped eyes and small lipless mouths. Greys communicate telepathically and travel in ways not fully understood by humans, making them and their society mysterious and enigmatic. They occasionally do unspeakable things with probes of various sizes and shapes.');
  $object->description_long  = "<p>$object->description_short</p>\n";
  $object->description_long .= '<p>' . t('Although most greys tend to keep to their flying saucers and platters, which they usually store in hidden mountain fortresses and underwater cities, many choose to foray into the world, although for decidedly odd and nefarious purposes. For instance, it is now generally accepted that greys are to blame for the recent rise in cow tipping and pasture vandalism.') . "</p>\n";
  $object->description_long .= '<p>' . t('They are sometimes mistaken for vampires when encountered alone, especially as they both are pale skinned and galavant around primarily at night. This is the accepted reason for their otherwise irrational hatred of vampires, who seem to have no interest in their blood. At the same time, they seem to fear zombies, who prize their large brains over all others.') . "</p>\n";
  $object->description_long .= '<p>' . t('Greys have been known to keep quixie companions, although it is surmised by some that they keep them more as pets. Some historians actually blame quixies for the sudden appearance of greys in the multiverse, as it is suspected that a quixie lost in another dimension led the enigmatic creatures here. Regardless of the reason, greys seem to be here to stay.') . "</p>\n";

  return $object;
}

